/*
 * Copyright (c) 2019-2020. Developed by Hedgecode.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.hedgecode.chess.scanner.json;

import com.google.gson.annotations.SerializedName;

import org.hedgecode.chess.scanner.Settings;

/**
 * JSONSettings
 *
 * @author Dmitry Samoshin aka gotty
 */
public class JSONSettings implements Settings {

    @SerializedName("tournamentUrl")
    private String tournamentUrl;

    @SerializedName("tournamentIsMultiPage")
    private boolean tournamentIsMultiPage;

    @SerializedName("tournamentQueryParams")
    private String tournamentQueryParams;

    @SerializedName("tournamentGamesUrlRegex")
    private String tournamentGamesUrlRegex;

    @SerializedName("tournamentJsonUrlRegex")
    private String tournamentJsonUrlRegex;

    @SerializedName("tournamentNameRegex")
    private String tournamentNameRegex;

    @SerializedName("tournamentQuery")
    private String tournamentQuery;

    @SerializedName("tournamentQueryUrlRegex")
    private String tournamentQueryUrlRegex;

    @SerializedName("gameUrl")
    private String gameUrl;

    @SerializedName("gamePgnUrl")
    private String gamePgnUrl;

    @SerializedName("gameQueryParams")
    private String gameQueryParams;

    @SerializedName("gameUrlRegex")
    private String gameUrlRegex;

    @SerializedName("gameJsonUrlRegex")
    private String gameJsonUrlRegex;

    @SerializedName("gameIdRegex")
    private String gameIdRegex;

    @Override
    public String getTournamentUrl() {
        return tournamentUrl;
    }

    @Override
    public boolean isTournamentMultiPage() {
        return tournamentIsMultiPage;
    }

    @Override
    public String getTournamentQueryParams() {
        return tournamentQueryParams;
    }

    @Override
    public String getTournamentGamesUrlRegex() {
        return tournamentGamesUrlRegex;
    }

    @Override
    public String getTournamentJsonUrlRegex() {
        return tournamentJsonUrlRegex;
    }

    @Override
    public String getTournamentNameRegex() {
        return tournamentNameRegex;
    }

    @Override
    public String getTournamentQuery() {
        return tournamentQuery;
    }

    @Override
    public String getTournamentQueryUrlRegex() {
        return tournamentQueryUrlRegex;
    }

    @Override
    public String getGameUrl() {
        return gameUrl;
    }

    @Override
    public String getGamePgnUrl() {
        return gamePgnUrl;
    }

    @Override
    public String getGameQueryParams() {
        return gameQueryParams;
    }

    @Override
    public String getGameUrlRegex() {
        return gameUrlRegex;
    }

    @Override
    public String getGameJsonUrlRegex() {
        return gameJsonUrlRegex;
    }

    @Override
    public String getGameIdRegex() {
        return gameIdRegex;
    }

}
