/*
 * Copyright (c) 2019-2020. Developed by Hedgecode.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.hedgecode.chess.scanner.json.chessbomb;

import java.util.Date;

import com.google.gson.annotations.SerializedName;

import org.hedgecode.chess.scanner.format.chessbomb.Game;
import org.hedgecode.chess.scanner.format.chessbomb.Player;

/**
 * JSONGame
 *
 * @author Dmitry Samoshin aka gotty
 */
public class JSONGame implements Game {

    @SerializedName("id")
    private int id;

    @SerializedName("roomId")
    private int roomId;

    @SerializedName("slug")
    private String slug;

    @SerializedName("roundSlug")
    private String roundSlug;

    @SerializedName("whiteId")
    private int whiteId;

    @SerializedName("blackId")
    private int blackId;

    @SerializedName("whiteElo")
    private int whiteElo;

    @SerializedName("blackElo")
    private int blackElo;

    @SerializedName("startAt")
    private Date startAt;

    @SerializedName("endAt")
    private Date endAt;

    @SerializedName("updateAt")
    private Date updateAt;

    @SerializedName("result")
    private String result;

    @SerializedName("table")
    private int table;

    @SerializedName("board")
    private int board;

    @SerializedName("white")
    private JSONPlayer white;

    @SerializedName("black")
    private JSONPlayer black;

    JSONGame() {
    }

    @Override
    public int id() {
        return id;
    }

    @Override
    public int roomId() {
        return roomId;
    }

    @Override
    public String slug() {
        return slug;
    }

    @Override
    public String roundSlug() {
        return roundSlug;
    }

    @Override
    public int whiteId() {
        return whiteId;
    }

    @Override
    public int blackId() {
        return blackId;
    }

    @Override
    public int whiteElo() {
        return whiteElo;
    }

    @Override
    public int blackElo() {
        return blackElo;
    }

    @Override
    public Date startAt() {
        return startAt;
    }

    @Override
    public Date endAt() {
        return endAt;
    }

    @Override
    public Date updateAt() {
        return updateAt;
    }

    @Override
    public String result() {
        return result;
    }

    @Override
    public int table() {
        return table;
    }

    @Override
    public int board() {
        return board;
    }

    @Override
    public Player white() {
        return white;
    }

    @Override
    public Player black() {
        return black;
    }

}
