/*
 * Copyright (c) 2019-2020. Developed by Hedgecode.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.hedgecode.chess.scanner.json.chessbomb;

import com.google.gson.annotations.SerializedName;

import org.hedgecode.chess.scanner.format.chessbomb.Player;

/**
 * JSONPlayer
 *
 * @author Dmitry Samoshin aka gotty
 */
public class JSONPlayer implements Player {

    @SerializedName("id")
    private int id;

    @SerializedName("name")
    private String name;

    @SerializedName("firstName")
    private String firstName;

    @SerializedName("lastName")
    private String lastName;

    @SerializedName("fideId")
    private int fideId;

    @SerializedName("elo")
    private int elo;

    @SerializedName("title")
    private String title;

    JSONPlayer() {
    }

    @Override
    public int id() {
        return id;
    }

    @Override
    public String name() {
        return name;
    }

    @Override
    public String firstName() {
        return firstName;
    }

    @Override
    public String lastName() {
        return lastName;
    }

    @Override
    public int fideId() {
        return fideId;
    }

    @Override
    public int elo() {
        return elo;
    }

    @Override
    public String title() {
        return title;
    }

}
