/*
 * Copyright (c) 2019-2020. Developed by Hedgecode.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.hedgecode.chess.scanner.json.lichess;

import com.google.gson.annotations.SerializedName;

import org.hedgecode.chess.scanner.format.lichess.Clock;

/**
 * JSONClock
 *
 * @author Dmitry Samoshin aka gotty
 */
public class JSONClock implements Clock {

    @SerializedName("running")
    private boolean running;

    @SerializedName("initial")
    private int initial;

    @SerializedName("increment")
    private int increment;

    @SerializedName("white")
    private float white;

    @SerializedName("black")
    private float black;

    @SerializedName("emerg")
    private int emerg;

    @SerializedName("moretime")
    private int moretime;

    JSONClock() {
    }

    @Override
    public boolean running() {
        return running;
    }

    @Override
    public int initial() {
        return initial;
    }

    @Override
    public int increment() {
        return increment;
    }

    @Override
    public float white() {
        return white;
    }

    @Override
    public float black() {
        return black;
    }

    @Override
    public int emerg() {
        return emerg;
    }

    @Override
    public int moretime() {
        return moretime;
    }

}
