/*
 * Copyright (c) 2019-2020. Developed by Hedgecode.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.hedgecode.chess.scanner.json.lichess;

import com.google.gson.annotations.SerializedName;

import org.hedgecode.chess.scanner.format.lichess.Player;
import org.hedgecode.chess.scanner.format.lichess.User;

/**
 * JSONPlayer
 *
 * @author Dmitry Samoshin aka gotty
 */
public class JSONPlayer implements Player {

    @SerializedName("color")
    private String color;

    @SerializedName("user")
    private JSONUser user;

    @SerializedName("rating")
    private int rating;

    @SerializedName("ratingDiff")
    private int ratingDiff;

    JSONPlayer() {
    }

    @Override
    public String color() {
        return color;
    }

    @Override
    public User user() {
        return user;
    }

    @Override
    public int rating() {
        return rating;
    }

    @Override
    public int ratingDiff() {
        return ratingDiff;
    }

}
