/*
 * Copyright (c) 2019-2020. Developed by Hedgecode.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.hedgecode.chess.scanner.portal;

import org.hedgecode.chess.scanner.ChessHogScannerException;
import org.hedgecode.chess.scanner.Scanner;
import org.hedgecode.chess.scanner.entity.PGNGame;
import org.hedgecode.chess.scanner.entity.PGNTournament;

/**
 * ChessComScanner
 *
 * @author Dmitry Samoshin aka gotty
 */
public class ChessComScanner extends AbstractSettingsScanner implements Scanner {

    private static final String SETTINGS_FILENAME = "chesscom.settings";

    @Override
    protected String getResourceName() {
        return SETTINGS_FILENAME;
    }

    @Override
    public PGNTournament scanTournament(String tournamentId) throws ChessHogScannerException {
        throw new ChessHogScannerException(
                "The scanner functional of portal chess.com is under development!"
        );
    }

    @Override
    public PGNTournament findTournament(String tournamentName) throws ChessHogScannerException {
        throw new ChessHogScannerException(
                "The scanner functional of portal chess.com is under development!"
        );
    }

    @Override
    public PGNGame scanGame(String gameId) throws ChessHogScannerException {
        return scanGame(gameId, null);
    }

    @Override
    public PGNGame scanGame(String gameId, String tournamentId) throws ChessHogScannerException {
        throw new ChessHogScannerException(
                "The scanner functional of portal chess.com is under development!"
        );
    }

    @Override
    public PGNGame scanUrl(String gameUrl) throws ChessHogScannerException {
        throw new ChessHogScannerException(
                "The scanner functional of portal chess.com is under development!"
        );
    }

}
